boost::geometry::section< Box, DimensionCount > Struct Template Reference

Structure containing section information. More...

List of all members.

## Public Types

typedef Box | box_type

## Public Member Functions

| section ()

## Public Attributes

signed_size_type | begin_index
Box | bounding_box
std::size_t | count
int | directions [DimensionCount]
bool | duplicate
signed_size_type | end_index
bool | is_non_duplicate_first
bool | is_non_duplicate_last
signed_size_type | non_duplicate_index
std::size_t | range_count
ring_identifier | ring_id

## Static Public Attributes

static std::size_t const | dimension_count = DimensionCount

## Detailed Description

### template<typename Box, std::size_t DimensionCount>
struct boost::geometry::section< Box, DimensionCount >

Structure containing section information.

Section information consists of a bounding box, direction information (if it is increasing or decreasing, per dimension), index information (begin-end, ring, multi) and the number of segments in this section

Template Parameters:

  Box | box-type
  DimensionCount | number of dimensions for this section

## Member Typedef Documentation

template<typename Box , std::size_t DimensionCount>

typedef Box boost::geometry::section< Box, DimensionCount >::box_type

## Constructor & Destructor Documentation

template<typename Box , std::size_t DimensionCount>

boost::geometry::section< Box, DimensionCount >::section | ( |  | ) |

## Member Data Documentation

template<typename Box , std::size_t DimensionCount>

std::size_t const boost::geometry::section< Box, DimensionCount >::dimension_count = DimensionCount`[static]`

template<typename Box , std::size_t DimensionCount>

int boost::geometry::section< Box, DimensionCount >::directions[DimensionCount]

template<typename Box , std::size_t DimensionCount>

ring_identifier boost::geometry::section< Box, DimensionCount >::ring_id

template<typename Box , std::size_t DimensionCount>

Box boost::geometry::section< Box, DimensionCount >::bounding_box

template<typename Box , std::size_t DimensionCount>

signed_size_type boost::geometry::section< Box, DimensionCount >::begin_index

template<typename Box , std::size_t DimensionCount>

signed_size_type boost::geometry::section< Box, DimensionCount >::end_index

template<typename Box , std::size_t DimensionCount>

std::size_t boost::geometry::section< Box, DimensionCount >::count

template<typename Box , std::size_t DimensionCount>

std::size_t boost::geometry::section< Box, DimensionCount >::range_count

template<typename Box , std::size_t DimensionCount>

bool boost::geometry::section< Box, DimensionCount >::duplicate

template<typename Box , std::size_t DimensionCount>

signed_size_type boost::geometry::section< Box, DimensionCount >::non_duplicate_index

template<typename Box , std::size_t DimensionCount>

bool boost::geometry::section< Box, DimensionCount >::is_non_duplicate_first

template<typename Box , std::size_t DimensionCount>

bool boost::geometry::section< Box, DimensionCount >::is_non_duplicate_last

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK